mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.IsolatedStorage.IsolatedStorage System.IDisposable System.Runtime.InteropServices.ComVisible(true)

This object corresponds to a specific isolated storage scope, where files represented by objects exist. Applications can use isolated storage to save data in their own isolated portion of the file system, without having to specify a particular path within the file system. Since isolated stores are scoped to particular assemblies, most other managed code will not be able to access your code's data (highly trusted managed code and administration tools can access stores from other assemblies). Unmanaged code can access any isolated stores.

For more information, see Isolated Storage.

Isolated storage is not available for win8_appname_long apps. Instead, use the application data classes in the Windows.Storage namespaces included in the wrt API to store local data and files. For more information, see Application data in the Windows Dev Center.

Represents an isolated storage area containing files and directories.

- Property
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int64 To be added. To be added.

  Gets a value that represents the amount of free space available for isolated storage.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added

  Closes a store previously opened with , , or .

- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` ``

  and must specify different file names. Use the method overload to overwrite an existing file.

  Copies an existing file to a new file.

  The name of the file to copy. The name of the destination file. This cannot be a directory or an existing file.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` `` ``

  and can have the same file name if is true.

  Copies an existing file to a new file, and optionally overwrites an existing file.

  The name of the file to copy. The name of the destination file. This cannot be a directory. true if the destination file can be overwritten; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The created directory initially contains no files. If the directory already exists, the method returns without creating a new directory. The [<topic://cpconcreatingfilesdirectories>] example demonstrates the use of the method

  Creates a directory in the isolated storage scope.

  The relative path of the directory to create within the isolated storage scope.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.IO.IsolatedStorage.IsolatedStorageFileStream ``

  This method is equivalent to using the constructor.

  Creates a file in the isolated store.

  A new isolated storage file.

  The relative path of the file to create.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Obsolete
  System.UInt64 To be added.

  Represents the total usage of all files and directories within the isolated storage scope.

  The current size cannot be accurately determined for stores that are participating in a roaming user profile. Because roaming profiles are often cached on multiple client machines and later synchronized with a server, quotas cannot be enforced for such stores and the current size is not reported.

  The [<topic://cpconanticipatingoutofspaceconditions>] example demonstrates the use of the property.

  Gets the current size of the isolated storage.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  A directory must be empty before it is deleted. The deleted directory cannot be recovered once deleted.

  The [<topic://cpcondeletingfilesdirectories>] example demonstrates the use of the method.

  Deletes a directory in the isolated storage scope.

  The relative path of the directory to delete within the isolated storage scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The deleted file cannot be recovered once deleted.

  The [<topic://cpcondeletingfilesdirectories>] example demonstrates the use of the method.

  Deletes a file in the isolated storage scope.

  The relative path of the file to delete within the isolated storage scope.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean `` To be added.

  Determines whether the specified path refers to an existing directory in the isolated store.

  true if refers to an existing directory in the isolated store and is not null; otherwise, false.

  The path to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that was occupying.

  Always call Dispose before you release your last reference to the . Otherwise, the resources the is using will not be freed until garbage collection calls the object's method.

  Releases all resources used by the .

- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean `` To be added.

  Determines whether the specified path refers to an existing file in the isolated store.

  true if refers to an existing file in the isolated store and is not null; otherwise, false.

  The path and file name to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTimeOffset ``

  If the file described by path does not exist, this method returns 12:00 midnight, January 1, 1601 A.D. (C.E.) Coordinated Universal Time (UTC), adjusted to local time.

  Returns the creation date and time of a specified file or directory.

  The creation date and time for the specified file or directory. This value is expressed in local time.

  The path to the file or directory for which to obtain creation date and time information.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.String[]

  This method is equivalent to using the method with "*" specified for the search pattern.

  Enumerates the directories at the root of an isolated store.

  An array of relative paths of directories at the root of the isolated store. A zero-length array specifies that there are no directories at the root.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] ``

  Wildcard characters must only be in the final element of a . For instance, "directory1/*etc*" is a valid search string, but "*etc*/directory" is not.

  The "Project\Data*" will give all subdirectories of Project beginning with Data in the isolated storage scope. The "*" will return all directories located in the root. For complete description of search string criteria, see the class.

  For information on getting file names, see the method.

  The [<topic://cpconfindingexistingfilesdirectories>] example demonstrates the use of the method.

  Enumerates the directories in an isolated storage scope that match a given search pattern.

  An array of the relative paths of directories in the isolated storage scope that match . A zero-length array specifies that there are no directories that match.

  A search pattern. Both single-character ("?") and multi-character ("*") wildcards are supported.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator ``

  The [<topic://cpconenumeratingstores>] example demonstrates the use of the method.

  Gets the enumerator for the stores within an isolated storage scope.

  Enumerator for the stores within the specified isolated storage scope.

  Represents the for which to return isolated stores. User and User|Roaming are the only IsolatedStorageScope combinations supported.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.String[]

  This method is equivalent to using the method with "*" specified for the search pattern.

  Enumerates the file names at the root of an isolated store.

  An array of relative paths of files at the root of the isolated store. A zero-length array specifies that there are no files at the root.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String[] ``

  The "Project\Data*.txt" will give all ".txt" files beginning with Data in the Project directory of the isolated storage scope. For complete description of search pattern strings, see .

  For information about how to find directory names, see the method.

  The [<topic://cpconfindingexistingfilesdirectories>] example demonstrates the use of the method.

  Gets the file names that match a search pattern.

  An array of relative paths of files in the isolated storage scope that match . A zero-length array specifies that there are no files that match.

  A search pattern. Both single-character ("?") and multi-character ("*") wildcards are supported.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTimeOffset ``

  If the file described by does not exist, this method returns 12:00 midnight, January 1, 1601 A.D. (C.E.) Coordinated Universal Time (UTC), adjusted to local time.

  Returns the date and time a specified file or directory was last accessed.

  The date and time that the specified file or directory was last accessed. This value is expressed in local time.

  The path to the file or directory for which to obtain last access date and time information.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.DateTimeOffset ``

  If the file described by does not exist, this method returns 12:00 midnight, January 1, 1601 A.D. (C.E.) Coordinated Universal Time (UTC), adjusted to local time.

  Returns the date and time a specified file or directory was last written to.

  The date and time that the specified file or directory was last written to. This value is expressed in local time.

  The path to the file or directory for which to obtain last write date and time information.
- Method
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile

  All assemblies associated with an application use the same isolated store when using this method.

  is functionally equivalent to the following code:

  code reference: System.IO.IsolatedStorage.IsolatedStorage#18

  Obtains machine-scoped isolated storage corresponding to the calling code's application identity.

  An object corresponding to the isolated storage scope based on the calling code's application identity.

- Method
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile

  The same assembly within different applications always uses the same isolated store when using this method.

  is functionally equivalent to the following code:

  code reference: System.IO.IsolatedStorage.IsolatedStorage#19

  Different assemblies running within the same application domain always have distinct isolated stores.

  Obtains machine-scoped isolated storage corresponding to the calling code's assembly identity.

  An object corresponding to the isolated storage scope based on the calling code's assembly identity.

- Method
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile

  The same assembly code will use different isolated stores when used in the context of different applications.

  is functionally equivalent to the following code:

  code reference: System.IO.IsolatedStorage.IsolatedStorage#20

  Different assemblies running within the same application domain always have distinct isolated stores.

  will return an object without a quota if the application domain into which the assembly is installed does not have . Later attempts to create an object using the object that does not have a quota will fail with an .

  Obtains machine-scoped isolated storage corresponding to the application domain identity and the assembly identity.

  An object corresponding to the , based on a combination of the application domain identity and the assembly identity.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.IsolatedStoragePermission ``

  This method is called during a store's initialization to determine the isolated storage file permissions that are granted to an assembly. The base class uses these permissions to determine the quota.

  Returns the from within a given permission set that represents access to isolated storage.

  An object that represents the object in the supplied permission set. The value is null if there is no permission of type in the supplied set.

  An object that contains the set of permissions granted to code that is attempting to use isolated storage.
- Method
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile `` ``

  If the parameter is and the application domain in which the assembly is installed does not have , the method will return an object without a quota. Later attempts to create an object using the object that does not have a quota will fail with an .

  Obtains isolated storage corresponding to the given application identity.

  An object that represents the parameters.

  A bitwise combination of the enumeration values. An object that contains evidence for the application identity.
- Method
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile `` ``

  If the parameter is and the application domain in which the assembly is installed does not have , the method will return an object without a quota. Later attempts to create an object using the object that does not have a quota will fail with an .

  Obtains isolated storage corresponding to the isolation scope and the application identity object.

  An object that represents the parameters.

  A bitwise combination of the enumeration values. An object that contains the application identity.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile `` `` ``

  This form of GetStore is most useful for administrative code that needs to open a store as if it were another assembly. The store is opened for the evidence provided and not for the currently executing assembly.

  If the parameter is and the application domain in which the assembly is installed does not have , the method will return an object without a quota. Later attempts to create an object using the object that does not have a quota will fail with an .

  Obtains the isolated storage corresponding to the given application domain and assembly evidence objects.

  An object that represents the parameters.

  A bitwise combination of the enumeration values. An object that contains evidence for the application domain identity. An object that contains evidence for the code assembly identity.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile `` `` ``

  This is the overload of most likely to be called from application code.

  This overload of opens an isolated store for the evidence types that are passed in.

  If the parameter is and the application domain in which the assembly is installed does not have , the method will return an object without a quota. Later attempts to create an object using the object that does not have a quota will fail with an .

  Obtains isolated storage corresponding to the isolated storage scope given the application domain and assembly evidence types.

  An object that represents the parameters.

  A bitwise combination of the enumeration values. The type of the that you can chose from the list of present in the domain of the calling application. null lets the object choose the evidence. The type of the that you can chose from the list of present in the domain of the calling application. null lets the object choose the evidence.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile `` `` `` `` ``

  If the parameter is and the application domain in which the assembly is installed does not have , the method will return an object without a quota. Later attempts to create an object using the object that does not have a quota will fail with an .

  Obtains isolated storage corresponding to the given application domain and the assembly evidence objects and types.

  An object that represents the parameters.

  A bitwise combination of the enumeration values. An object that contains the application domain identity. The identity type to choose from the application domain evidence. An object that contains the code assembly identity. The identity type to choose from the application code assembly evidence.
- Method
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile

  All assemblies associated with an application use the same isolated store when using this method. This method can be used only when the application identity can be determined - for example, when the application is published through ClickOnce deployment or is a Silverlight-based application. If you attempt to use this method outside a ClickOnce or Silverlight-based application, you will receive an exception, because the application identity of the caller cannot be determined.

  is functionally equivalent to the following code:

  code reference: System.IO.IsolatedStorage.IsolatedStorage#21

  In this code, the parameter for GetStore(IsolatedStorageScope scope, Object applicationIdentity) is null.

  Obtains user-scoped isolated storage corresponding to the calling code's application identity.

  An object corresponding to the isolated storage scope based on the calling code's assembly identity.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile

  The same assembly within different applications always uses the same isolated store when using this method.

  is functionally equivalent to the following code:

  code reference: System.IO.IsolatedStorage.IsolatedStorage#22

  Different assemblies running within the same application domain always have distinct isolated stores.

  Obtains user-scoped isolated storage corresponding to the calling code's assembly identity.

  An object corresponding to the isolated storage scope based on the calling code's assembly identity.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.IsolatedStorage.IsolatedStorageFile

  The same assembly code will use different isolated stores when used in the context of different applications.

  is functionally equivalent to the following code:

  code reference: System.IO.IsolatedStorage.IsolatedStorage#23

  Different assemblies running within the same application domain always have distinct isolated stores.

  will return an object without a quota if the application domain in which the assembly is installed does not have . Later attempts to create an object using the object that does not have a quota will fail with an .

  Obtains user-scoped isolated storage corresponding to the application domain identity and assembly identity.

  An object corresponding to the , based on a combination of the application domain identity and the assembly identity.

- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.IO.IsolatedStorage.IsolatedStorageFile

  This method is supported only in Silverlight-based applications.

  Obtains a user-scoped isolated store for use by applications in a virtual host domain.

  The isolated storage file that corresponds to the isolated storage scope based on the calling code's application identity.

- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean ``

  The method enables an application to explicitly request a larger quota size in bytes. The new quota size must not be smaller than the current quota size, because only quota increases are allowed.

  Whenever the method is called, isolated storage calls the method.

  You can implement policy decisions by creating a custom object that overrides the method so that the object can perform policy decisions based on a object.

  If there is no custom object, the quota increase request is denied, because the default implementation for returns false.

  Currently, none of the hosts in the .NET Framework provide this customization, so always returns false.

  Enables an application to explicitly request a larger quota size, in bytes.

  true if the new quota is accepted; otherwise, false.

  The requested size, in bytes.
- Property
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean To be added.

  Isolated storage for full .NET Framework applications is always enabled.

  Gets a value that indicates whether isolated storage is enabled.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Obsolete
  System.UInt64 To be added.

  The number of bytes available is constrained by the isolated storage quota set by the administrator. Quota is configured in security policy on the basis of evidence, so the same code can receive a different quota if it is run with different evidence. For example, an application that is run locally and also from a share on an intranet would likely receive different quotas.

  The [<topic://cpconanticipatingoutofspaceconditions>] example demonstrates the use of the property.

  Gets a value representing the maximum amount of space available for isolated storage within the limits established by the quota.

- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` ``

  and must specify different directory names.

  Moves a specified directory and its contents to a new location.

  The name of the directory to move. The path to the new location for . This cannot be the path to an existing directory.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Void `` ``

  This method does not throw an exception if and are the same.

  Moves a specified file to a new location, and optionally lets you specify a new file name.

  The name of the file to move. The path to the new location for the file. If a file name is included, the moved file will have that name.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.IO.IsolatedStorage.IsolatedStorageFileStream `` ``

  This method is equivalent to using the constructor.

  Opens a file in the specified mode.

  A file that is opened in the specified mode, with read/write access, and is unshared.

  The relative path of the file within the isolated store. One of the enumeration values that specifies how to open the file.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.IO.IsolatedStorage.IsolatedStorageFileStream `` `` ``

  This method is equivalent to using the constructor.

  Opens a file in the specified mode with the specified read/write access.

  A file that is opened in the specified mode and access, and is unshared.

  The relative path of the file within the isolated store. One of the enumeration values that specifies how to open the file. One of the enumeration values that specifies whether the file will be opened with read, write, or read/write access.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.IO.IsolatedStorage.IsolatedStorageFileStream `` `` `` ``

  This method is equivalent to using the constructor.

  Opens a file in the specified mode, with the specified read/write access and sharing permission.

  A file that is opened in the specified mode and access, and with the specified sharing options.

  The relative path of the file within the isolated store. One of the enumeration values that specifies how to open or create the file. One of the enumeration values that specifies whether the file will be opened with read, write, or read/write access A bitwise combination of enumeration values that specify the type of access other objects have to this file.
- Property
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int64 To be added. To be added.

  Gets a value that represents the maximum amount of space available for isolated storage.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method irrevocably removes the entire scope and all contained directories and files.

  If any of the directories or files in the store are in use, the removal attempt for the store fails and the store is marked for removal. Any subsequent attempts to modify the store throw an .

  Removes the isolated storage scope and all its contents.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method irrevocably removes the entire scope and all contained directories and files.

  If any of the directories or files in the store are in use, the removal attempt for the store fails and the store is marked for removal. Any subsequent attempts to modify the store throw an .

  Removes the specified isolated storage scope for all identities.

  A bitwise combination of the values.
- Property
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int64 To be added. To be added.

  Gets a value that represents the amount of the space used for isolated storage.